Bug 1734459 - Firefox rendering issue when auto-tiling to other side of the screen
Summary: Firefox rendering issue when auto-tiling to other side of the screen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 15:10 UTC by John Kwiatkoski
Modified: 2019-11-27 23:15 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:15:52 UTC


Attachments (Terms of Use)
screen capture of the rendering issue (2.74 MB, image/png)
2019-07-30 15:10 UTC, John Kwiatkoski
no flags Details
about:support page (22.23 KB, text/plain)
2019-08-20 19:12 UTC, John Kwiatkoski
no flags Details

Description John Kwiatkoski 2019-07-30 15:10:49 UTC
Created attachment 1594655 [details]
screen capture of the rendering issue

Description of problem:

In Fedora 30 Silverblue when snapping firefox from one half of the screen to another, the page is not rendered properly with almost a white meshlike overlay. I have added a few screenshots of the issue.

Version-Release number of selected component (if applicable):
Fedora 30 Silverblue 
Version: 30.20190728.0


How reproducible:
Always

Steps to Reproduce:
1. Open firefox
2. Super + left/right arrow to snap firefox to one side
3. Super + opposite direction of step 2. 


Actual results:
Firefox snaps to other side but there are rendering issues with the entire window.

Expected results:
Firefox snaps to other side and renders correctly.

Additional info:

Unsnapping(Super + down arrow) and maximizing(Super + up arrow) the firefox window fixes the rendering issue until you perform the reproducing steps again.

Comment 1 Martin Stransky 2019-08-19 06:10:27 UTC
I believe it's caused by webrender/gl acceleration and your gfx drivers. Please attach your about:support.

Comment 2 John Kwiatkoski 2019-08-20 19:12:09 UTC
Created attachment 1606234 [details]
about:support page

Comment 3 John Kwiatkoski 2019-08-20 19:12:44 UTC
about:support attached above

Comment 4 Ben Cotton 2019-10-31 18:56:02 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 23:15:52 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.